Ecore_Audio.h is using undefined macros
Closed, ResolvedPublic

Description

lines 204 and 210 of Ecore_Audio.h, there is a #if with macro set by efl's configure. This is wrong for a public header and forbid any compilation of programs using ecore_audio

one solution : if there is only 2 cases (wasapi on windows and pulseaudio everywhere else), then a #ifdef _WIN32 / #else / #endif check would be possible
otherwise, doing like elm does is possible too (elm is having Elementary.h.in, with macro set by configure at the top)

Anyway, wasapi is always usable on Windows, so a #if _WIN32 on this platform is always possible line 210 and I would do that

vtorri created this task.Oct 6 2017, 11:54 PM
rimmed reassigned this task from rimmed to i.furs.Oct 9 2017, 10:18 PM
rimmed added a subscriber: rimmed.

For D5029, D5096:

  • Ecore_Audio D5310 fix using undefined macros,
  • Edje_Multisense D5311 fix using undefined macros(ECORE_AUDIO_OUT_RENDER_CLASS/ECORE_AUDIO_OUT_RENDER_EVENT_CONTEXT_FAIL)
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
zmike edited projects, added efl; removed Restricted Project.Jun 11 2018, 8:57 AM
bu5hm4n edited projects, added Restricted Project; removed efl.Jun 11 2018, 10:40 AM
zmike added a subscriber: zmike.Jun 14 2018, 6:31 AM

Is this resolved?

stephenmhouston closed this task as Resolved.Jun 19 2018, 1:19 PM
stephenmhouston added a subscriber: stephenmhouston.

Working now per @vtorri so closing as resolved.